Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

rename all Gemfiles

  • Loading branch information...
commit ccd405b2a054b30008ea56babdf322a497921f48 1 parent 959841b
@flyerhzm authored
View
1  .gitignore
@@ -11,3 +11,4 @@ benchmark_profile*
/nbproject/private/
coverage/
.coveralls.yml
+Gemfile*.lock
View
26 .travis.yml
@@ -1,21 +1,19 @@
language: ruby
rvm:
- 2.1.0
- - 2.0.0
- - jruby-19mode
- - rbx
gemfile:
- - Gemfile.rails-4.0.1
- - Gemfile.rails-3.2.15
- - Gemfile.rails-3.1.12
- - Gemfile.rails-3.0.20
- - Gemfile.mongoid-3.1.6
- - Gemfile.mongoid-3.0.23
- - Gemfile.mongoid-2.7.1
- - Gemfile.mongoid-2.8.1
- - Gemfile.mongoid-2.6.0
- - Gemfile.mongoid-2.5.2
- - Gemfile.mongoid-2.4.12
+ - Gemfile.rails-4.1
+ - Gemfile.rails-4.0
+ - Gemfile.rails-3.2
+ - Gemfile.rails-3.1
+ - Gemfile.rails-3.0
+ - Gemfile.mongoid-3.1
+ - Gemfile.mongoid-3.0
+ - Gemfile.mongoid-2.8
+ - Gemfile.mongoid-2.7
+ - Gemfile.mongoid-2.6
+ - Gemfile.mongoid-2.5
+ - Gemfile.mongoid-2.4
env:
- DB=sqlite
services:
View
22 Gemfile.mongoid-2.4
@@ -0,0 +1,22 @@
+source "https://rubygems.org"
+
+gemspec
+
+gem 'rails', '~> 3.2.16'
+gem 'sqlite3', platforms: [:ruby]
+gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
+gem 'mysql2', platforms: [:ruby]
+gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
+gem 'activerecord-import'
+gem 'mongoid', '~> 2.4.12'
+
+gem "rspec"
+gem "guard"
+gem "guard-rspec"
+
+gem 'coveralls', require: false
+
+platforms :rbx do
+ gem 'rubysl', '~> 2.0'
+ gem 'rubinius-developer_tools'
+end
View
22 Gemfile.mongoid-2.4.12
@@ -1,22 +0,0 @@
-source "https://rubygems.org"
-
-gemspec
-
-gem 'rails', '~> 3.2.16'
-gem 'sqlite3', platforms: [:ruby]
-gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
-gem 'mysql2', platforms: [:ruby]
-gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
-gem 'activerecord-import'
-gem 'mongoid', '2.4.12'
-
-gem "rspec"
-gem "guard"
-gem "guard-rspec"
-
-gem 'coveralls', require: false
-
-platforms :rbx do
- gem 'rubysl', '~> 2.0'
- gem 'rubinius-developer_tools'
-end
View
2  Gemfile.mongoid-3.1.6 → Gemfile.mongoid-2.5
@@ -8,7 +8,7 @@ gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
gem 'activerecord-import'
-gem 'mongoid', '3.1.6'
+gem 'mongoid', '~> 2.5.2'
gem "rspec"
gem "guard"
View
4 Gemfile.mongoid-2.5.2 → Gemfile.mongoid-2.6
@@ -8,7 +8,7 @@ gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
gem 'activerecord-import'
-gem 'mongoid', '2.5.2'
+gem 'mongoid', '~> 2.6.0'
gem "rspec"
gem "guard"
@@ -19,4 +19,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
4 Gemfile.mongoid-2.6.0 → Gemfile.mongoid-2.7
@@ -8,7 +8,7 @@ gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
gem 'activerecord-import'
-gem 'mongoid', '2.6.0'
+gem 'mongoid', '~> 2.7.1'
gem "rspec"
gem "guard"
@@ -19,4 +19,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
4 Gemfile.mongoid-2.8.1 → Gemfile.mongoid-2.8
@@ -8,7 +8,7 @@ gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
gem 'activerecord-import'
-gem 'mongoid', '2.8.1'
+gem 'mongoid', '~> 2.8'
gem "rspec"
gem "guard"
@@ -19,4 +19,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
22 Gemfile.mongoid-3.0
@@ -0,0 +1,22 @@
+source "https://rubygems.org"
+
+gemspec
+
+gem 'rails', '~> 3.2.16'
+gem 'sqlite3', platforms: [:ruby]
+gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
+gem 'mysql2', platforms: [:ruby]
+gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
+gem 'activerecord-import'
+gem 'mongoid', '~> 3.0.23'
+
+gem "rspec"
+gem "guard"
+gem "guard-rspec"
+
+gem 'coveralls', require: false
+
+platforms :rbx do
+ gem 'rubysl', '~> 2.0'
+ gem 'rubinius-developer_tools'
+end
View
22 Gemfile.mongoid-3.0.23
@@ -1,22 +0,0 @@
-source "https://rubygems.org"
-
-gemspec
-
-gem 'rails', '~> 3.2.16'
-gem 'sqlite3', platforms: [:ruby]
-gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
-gem 'mysql2', platforms: [:ruby]
-gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
-gem 'activerecord-import'
-gem 'mongoid', '3.0.23'
-
-gem "rspec"
-gem "guard"
-gem "guard-rspec"
-
-gem 'coveralls', require: false
-
-platforms :rbx do
- gem 'rubysl', '~> 2.0'
- gem 'rubinius-developer_tools'
-end
View
4 Gemfile.mongoid-2.7.1 → Gemfile.mongoid-3.1
@@ -8,7 +8,7 @@ gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
gem 'activerecord-jdbcmysql-adapter', platforms: [:jruby]
gem 'activerecord-import'
-gem 'mongoid', '2.7.1'
+gem 'mongoid', '~> 3.1.6'
gem "rspec"
gem "guard"
@@ -19,4 +19,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
147 Gemfile.mongoid-3.1.6.lock
@@ -1,147 +0,0 @@
-PATH
- remote: .
- specs:
- bullet (4.7.1)
- activesupport
- uniform_notifier (>= 1.4.0)
-
-GEM
- remote: https://rubygems.org/
- specs:
- actionmailer (0.6.1)
- actionpack (>= 0.9.5)
- actionpack (3.2.16)
- activemodel (= 3.2.16)
- activesupport (= 3.2.16)
- builder (~> 3.0.0)
- erubis (~> 2.7.0)
- journey (~> 1.0.4)
- rack (~> 1.4.5)
- rack-cache (~> 1.2)
- rack-test (~> 0.6.1)
- sprockets (~> 2.2.1)
- activemodel (3.2.16)
- activesupport (= 3.2.16)
- builder (~> 3.0.0)
- activerecord (3.2.16)
- activemodel (= 3.2.16)
- activesupport (= 3.2.16)
- arel (~> 3.0.2)
- tzinfo (~> 0.3.29)
- activerecord-import (0.4.1)
- activerecord (>= 3.0)
- activesupport (3.2.16)
- i18n (~> 0.6, >= 0.6.4)
- multi_json (~> 1.0)
- arel (3.0.3)
- builder (3.0.4)
- celluloid (0.15.2)
- timers (~> 1.1.0)
- celluloid-io (0.15.0)
- celluloid (>= 0.15.0)
- nio4r (>= 0.5.0)
- coderay (1.1.0)
- coveralls (0.7.0)
- multi_json (~> 1.3)
- rest-client
- simplecov (>= 0.7)
- term-ansicolor
- thor
- diff-lcs (1.2.5)
- docile (1.1.3)
- erubis (2.7.0)
- ffi (1.9.3)
- formatador (0.2.4)
- guard (2.4.0)
- formatador (>= 0.2.4)
- listen (~> 2.1)
- lumberjack (~> 1.0)
- pry (>= 0.9.12)
- thor (>= 0.18.1)
- guard-rspec (4.2.6)
- guard (~> 2.1)
- rspec (>= 2.14, < 4.0)
- hike (1.2.3)
- i18n (0.6.9)
- journey (1.0.4)
- listen (2.5.0)
- celluloid (>= 0.15.2)
- celluloid-io (>= 0.15.0)
- rb-fsevent (>= 0.9.3)
- rb-inotify (>= 0.9)
- lumberjack (1.0.4)
- method_source (0.8.2)
- mime-types (2.1)
- mongoid (3.1.6)
- activemodel (~> 3.2)
- moped (~> 1.4)
- origin (~> 1.0)
- tzinfo (~> 0.3.29)
- moped (1.5.2)
- multi_json (1.8.4)
- mysql2 (0.3.15)
- nio4r (1.0.0)
- origin (1.1.0)
- pry (0.9.12.6)
- coderay (~> 1.0)
- method_source (~> 0.8)
- slop (~> 3.4)
- rack (1.4.5)
- rack-cache (1.2)
- rack (>= 0.4)
- rack-test (0.6.2)
- rack (>= 1.0)
- rails (0.9.5)
- actionmailer (>= 0.6.1)
- actionpack (>= 1.4.0)
- activerecord (>= 1.6.0)
- rake (>= 0.4.15)
- rake (10.1.1)
- rb-fsevent (0.9.4)
- rb-inotify (0.9.3)
- ffi (>= 0.5.0)
- rest-client (1.6.7)
- mime-types (>= 1.16)
- rspec (2.14.1)
- rspec-core (~> 2.14.0)
- rspec-expectations (~> 2.14.0)
- rspec-mocks (~> 2.14.0)
- rspec-core (2.14.7)
- rspec-expectations (2.14.5)
- diff-lcs (>= 1.1.3, < 2.0)
- rspec-mocks (2.14.5)
- simplecov (0.8.2)
- docile (~> 1.1.0)
- multi_json
- simplecov-html (~> 0.8.0)
- simplecov-html (0.8.0)
- slop (3.4.7)
- sprockets (2.2.2)
- hike (~> 1.2)
- multi_json (~> 1.0)
- rack (~> 1.0)
- tilt (~> 1.1, != 1.3.0)
- sqlite3 (1.3.8)
- term-ansicolor (1.3.0)
- tins (~> 1.0)
- thor (0.18.1)
- tilt (1.4.1)
- timers (1.1.0)
- tins (1.0.0)
- tzinfo (0.3.38)
- uniform_notifier (1.4.0)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- activerecord-import
- bullet!
- coveralls
- guard
- guard-rspec
- mongoid (= 3.1.6)
- mysql2
- rails
- rspec
- sqlite3
View
4 Gemfile.rails-4.0.1 → Gemfile.rails-3.0
@@ -2,7 +2,7 @@ source "https://rubygems.org"
gemspec
-gem 'rails', '4.0.1'
+gem 'rails', '~> 3.0.20'
gem 'sqlite3', platforms: [:ruby]
gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
@@ -18,4 +18,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
0  Gemfile.rails-3.1.12 → Gemfile.rails-3.1
File renamed without changes
View
4 Gemfile.rails-3.0.20 → Gemfile.rails-3.2
@@ -2,7 +2,7 @@ source "https://rubygems.org"
gemspec
-gem 'rails', '3.0.20'
+gem 'rails', '~> 3.2.15'
gem 'sqlite3', platforms: [:ruby]
gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
@@ -18,4 +18,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
4 Gemfile.rails-3.2.15 → Gemfile.rails-4.0
@@ -2,7 +2,7 @@ source "https://rubygems.org"
gemspec
-gem 'rails', '3.2.15'
+gem 'rails', '~> 4.0.1'
gem 'sqlite3', platforms: [:ruby]
gem 'activerecord-jdbcsqlite3-adapter', platforms: [:jruby]
gem 'mysql2', platforms: [:ruby]
@@ -18,4 +18,4 @@ gem 'coveralls', require: false
platforms :rbx do
gem 'rubysl', '~> 2.0'
gem 'rubinius-developer_tools'
-end
+end
View
0  Gemfile.rails-4.1.0 → Gemfile.rails-4.1
File renamed without changes
View
163 Gemfile.rails-4.1.0.lock
@@ -1,163 +0,0 @@
-PATH
- remote: .
- specs:
- bullet (4.7.1)
- activesupport
- uniform_notifier (>= 1.4.0)
-
-GEM
- remote: https://rubygems.org/
- specs:
- actionmailer (4.1.0.beta1)
- actionpack (= 4.1.0.beta1)
- actionview (= 4.1.0.beta1)
- mail (~> 2.5.4)
- actionpack (4.1.0.beta1)
- actionview (= 4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- rack (~> 1.5.2)
- rack-test (~> 0.6.2)
- actionview (4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- builder (~> 3.1)
- erubis (~> 2.7.0)
- activemodel (4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- builder (~> 3.1)
- activerecord (4.1.0.beta1)
- activemodel (= 4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- arel (~> 5.0.0)
- activerecord-import (0.4.1)
- activerecord (>= 3.0)
- activesupport (4.1.0.beta1)
- i18n (~> 0.6, >= 0.6.9)
- json (~> 1.7, >= 1.7.7)
- minitest (~> 5.1)
- thread_safe (~> 0.1)
- tzinfo (~> 1.1)
- arel (5.0.0)
- atomic (1.1.14)
- builder (3.2.2)
- celluloid (0.15.2)
- timers (~> 1.1.0)
- coderay (1.1.0)
- coveralls (0.7.0)
- multi_json (~> 1.3)
- rest-client
- simplecov (>= 0.7)
- term-ansicolor
- thor
- diff-lcs (1.2.5)
- docile (1.1.1)
- erubis (2.7.0)
- ffi (1.9.3)
- formatador (0.2.4)
- guard (2.2.5)
- formatador (>= 0.2.4)
- listen (~> 2.1)
- lumberjack (~> 1.0)
- pry (>= 0.9.12)
- thor (>= 0.18.1)
- guard-rspec (4.2.1)
- guard (>= 2.1.1)
- rspec (~> 3.0.0.beta, >= 2.14, < 4.0)
- hike (1.2.3)
- i18n (0.6.9)
- json (1.8.1)
- listen (2.4.0)
- celluloid (>= 0.15.2)
- rb-fsevent (>= 0.9.3)
- rb-inotify (>= 0.9)
- lumberjack (1.0.4)
- mail (2.5.4)
- mime-types (~> 1.16)
- treetop (~> 1.4.8)
- method_source (0.8.2)
- mime-types (1.25.1)
- minitest (5.2.0)
- multi_json (1.8.2)
- mysql2 (0.3.14)
- polyglot (0.3.3)
- pry (0.9.12.4)
- coderay (~> 1.0)
- method_source (~> 0.8)
- slop (~> 3.4)
- rack (1.5.2)
- rack-test (0.6.2)
- rack (>= 1.0)
- rails (4.1.0.beta1)
- actionmailer (= 4.1.0.beta1)
- actionpack (= 4.1.0.beta1)
- actionview (= 4.1.0.beta1)
- activemodel (= 4.1.0.beta1)
- activerecord (= 4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- bundler (>= 1.3.0, < 2.0)
- railties (= 4.1.0.beta1)
- sprockets-rails (~> 2.0.0)
- railties (4.1.0.beta1)
- actionpack (= 4.1.0.beta1)
- activesupport (= 4.1.0.beta1)
- rake (>= 0.8.7)
- thor (>= 0.18.1, < 2.0)
- rake (10.1.1)
- rb-fsevent (0.9.3)
- rb-inotify (0.9.3)
- ffi (>= 0.5.0)
- rest-client (1.6.7)
- mime-types (>= 1.16)
- rspec (3.0.0.beta1)
- rspec-core (= 3.0.0.beta1)
- rspec-expectations (= 3.0.0.beta1)
- rspec-mocks (= 3.0.0.beta1)
- rspec-core (3.0.0.beta1)
- rspec-expectations (3.0.0.beta1)
- diff-lcs (>= 1.1.3, < 2.0)
- rspec-support (= 3.0.0.beta1)
- rspec-mocks (3.0.0.beta1)
- rspec-support (3.0.0.beta1)
- simplecov (0.8.2)
- docile (~> 1.1.0)
- multi_json
- simplecov-html (~> 0.8.0)
- simplecov-html (0.8.0)
- slop (3.4.7)
- sprockets (2.10.1)
- hike (~> 1.2)
- multi_json (~> 1.0)
- rack (~> 1.0)
- tilt (~> 1.1, != 1.3.0)
- sprockets-rails (2.0.1)
- actionpack (>= 3.0)
- activesupport (>= 3.0)
- sprockets (~> 2.8)
- sqlite3 (1.3.8)
- term-ansicolor (1.2.2)
- tins (~> 0.8)
- thor (0.18.1)
- thread_safe (0.1.3)
- atomic
- tilt (1.4.1)
- timers (1.1.0)
- tins (0.13.1)
- treetop (1.4.15)
- polyglot
- polyglot (>= 0.3.1)
- tzinfo (1.1.0)
- thread_safe (~> 0.1)
- uniform_notifier (1.4.0)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- activerecord-import
- bullet!
- coveralls
- guard
- guard-rspec
- mysql2
- rails (= 4.1.0.beta1)
- rspec
- sqlite3
View
24 test.sh
@@ -1,14 +1,14 @@
#bundle update rails && bundle exec rspec spec
#BUNDLE_GEMFILE=Gemfile.mongoid bundle update mongoid && BUNDLE_GEMFILE=Gemfile.mongoid bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.rails-4.1.0 bundle && BUNDLE_GEMFILE=Gemfile.rails-4.1.0 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.rails-4.0.1 bundle && BUNDLE_GEMFILE=Gemfile.rails-4.0.1 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.rails-3.2.15 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.2.15 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.rails-3.1.12 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.1.12 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.rails-3.0.20 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.0.20 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-3.1.6 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-3.1.6 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-3.0.23 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-3.0.23 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-2.8.1 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.8.1 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-2.7.1 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.7.1 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-2.6.0 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.6.0 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-2.5.2 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.5.2 bundle exec rspec spec
-BUNDLE_GEMFILE=Gemfile.mongoid-2.4.12 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.4.12 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.rails-4.1 bundle && BUNDLE_GEMFILE=Gemfile.rails-4.1 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.rails-4.0 bundle && BUNDLE_GEMFILE=Gemfile.rails-4.0 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.rails-3.2 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.2 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.rails-3.1 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.1 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.rails-3.0 bundle && BUNDLE_GEMFILE=Gemfile.rails-3.0 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-3.1 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-3.1 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-3.0 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-3.0 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-2.8 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.8 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-2.7 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.7 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-2.6 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.6 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-2.5 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.5 bundle exec rspec spec
+BUNDLE_GEMFILE=Gemfile.mongoid-2.4 bundle && BUNDLE_GEMFILE=Gemfile.mongoid-2.4 bundle exec rspec spec
Please sign in to comment.
Something went wrong with that request. Please try again.